> ## Documentation Index
> Fetch the complete documentation index at: https://help.kajabi.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://help.kajabi.com/feedback

```json
{
  "path": "/api-reference/contacts/contact-details",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Contact details

> Show details for a contact
## Contact Attributes
* `name` (string) - The name of the contact
* `email` (string) - The email of the contact, must be a valid and deliverable email address
* `address_line_1` (string) - The first line of the contact's address
* `address_line_2` (string) - The second line of the contact's address
* `address_city` (string) - The city of the contact's address
* `address_country` (string) - The country of the contact's address
* `address_state` (string) - The state of the contact's address
* `address_zip` (string) - The zip code of the contact's address
* `phone_number` (string) - The phone number of the contact
* `business_number` (string) - The business phone number of the contact
* `subscribed` (boolean) - Whether the contact has opted in to receive marketing communications from the site
* `external_user_id` (string) - The external user ID of the contact/customer; this field is only updatable if the contact has been granted an offer or made a purchase
* `created_at` (string) - The date and time the contact was created
* `updated_at` (string) - The date and time the contact was last updated

## Including Relationships
Use the `include` parameter to include related resources in the response:
* `GET /v1/contacts/123?include=offers,tags,customer`

Response will include the related contact offers, tags and customer resources
```json
{
  "data": {
    "id": "123",
    "type": "contacts",
    "attributes": {
      "name": "John Smith",
      "email": "john@example.com",
      "address_line_1": null,
      "address_line_2": null,
      "address_city": null,
      "address_country": null,
      "address_state": null,
      "address_zip": null,
      "phone_number": null,
      "business_number": null,
      "subscribed": false,
      "external_user_id": null,
      "created_at": "2024-01-15T10:30:00Z",
      "updated_at": "2024-01-15T10:30:00Z"
    },
    "links": {
      "customer": "https://api.kajabi.com/v1/customers/321"
    },
    "relationships": {
      "site": {
        "data": {
          "id": "123",
          "type": "sites"
        }
      },
      "offers": {
        "links": {
          "data": [
            { "id": "456", "type": "offers" }
          ],
          "self": "https://api.kajabi.com/v1/contacts/123/relationships/offers"
        }
      },
      "tags": {
        "data": [
          { "id": "789", "type": "contact_tags" }
        ],
        "links": {
          "self": "https://api.kajabi.com/v1/contacts/123/relationships/tags"
        }
      },
      "customer": {
        "data": {
          "id": "321",
          "type": "customers"
        }
      }
    }
  },
  "included": [
    {
      "id": "456",
      "type": "offers",
      "attributes": {
        "name": "Offer 1",
        "description": "Offer 1 description",
        "internal_title": "Offer 1",
        "price_in_cents": 0,
        "payment_type": "free",
        "token": "offer_123",
        "payment_method": "none",
        "price_description": "Free",
        "checkout_url": "https://mywebsite.com/offers/456",
        "recurring_offer": false,
        "subscription": false,
        "one_time": true,
        "single": false,
        "free": true
      }
    },
    {
      "id": "789",
      "type": "contact_tags",
      "attributes": {
        "name": "Tag Name"
      }
    },
    {
      "id": "321",
      "type": "customers",
      "attributes": {
        "name": "John Smith",
        "email": "john@example.com",
        "avatar": null,
        "external_user_id": "cust_123",
        "public_bio": null,
        "public_location": null,
        "public_website": null,
        "socials": null,
        "net_revenue": "0.0",
        "sign_in_count": 0,
        "last_request_at": null,
        "bounced_at": null,
        "created_at": "2024-01-15T10:30:00Z",
        "updated_at": "2024-01-15T10:30:00Z"
      }
    }
  ]
}
```
## Sparse Fields
Use the `fields[contacts]` parameter to get specific fields for a contact:
* `GET /v1/contacts/123?fields[contacts]=name,email`

Response will include only requested fields for the contact
```json
{
  "data": {
    "id": "123",
    "type": "contacts",
    "attributes": {
      "name": "John Smith",
      "email": "john@example.com"
    }
  }
}
```
## Using Multiple Parameters Together
You can combine multiple parameters to include related resources and get specific fields for a contact:
* `GET /v1/contacts/123?include=customer&fields[contacts]=email&fields[customers]=net_revenue`

Response will include the related customer resource and only requested fields for the contact and customer
```json
{
  "data": {
    "id": "123",
    "type": "contacts",
    "attributes": {
      "email": "sam@example.com"
    },
    "relationships": {}
  },
  "included": [
    {
      "id": "321",
      "type": "customers",
      "attributes": {
        "net_revenue": "0.0"
      }
    }
  ]
}
```




## OpenAPI

````yaml /openapi.yaml get /v1/contacts/{id}
openapi: 3.1.1
info:
  title: Kajabi API V1
  version: 1.0.1
  description: >
    ## Public API

    * Server URL `https://api.kajabi.com`

    * Endpoint paths are prefixed with `/v1`

    * Version endpoint `GET https://api.kajabi.com/v1/version`

    * See the [Developers Site](https://developers.kajabi.com) for documentation
    and examples.

    * Try the demo [Postman
    collection](https://www.postman.com/kajabi-apis/beta-public-api-demo/collection/fg4iyaz/kajabi-public-api-v1)

    ## API Keys

    * Your API `client_id` and `client_secret` are available on the [User API
    Keys](https://app.kajabi.com/admin/settings/security) section of the Kajabi
    Admin Portal.
      * Custom API Keys can be created with specific permissions.
      * Click the "Create User API Key" button, enter a name (e.g. "My project"), select the user and permissions, and click "Create".
      * For security purposes, you may "Delete" or "Rotate" the api credentials at any time; which will invalidate any access tokens granted with the credentials.
    ## Video Walkthroughs

    *
    [Capabilities](https://drive.google.com/file/d/1Puc9B2sSdA-RQb7YMxmUXg4FVoEXytoc/view?usp=sharing)

    * [Getting
    Started](https://drive.google.com/file/d/1hbGRShkxven_QMWvgYrerHKURbcZrnvJ/view?usp=sharing)

    * [Error
    Examples](https://drive.google.com/file/d/1i0wQK71I1jpaZVsxYwsn62gVj40S_E7Y/view?usp=sharing)

    * [External Contact
    Form](https://drive.google.com/file/d/1HqpULXvan5TOK3LvM7nILCuCkCaX0kFT/view?usp=sharing)
  contact:
    email: support@kajabi.com
    name: Support
    url: >-
      https://help.kajabi.com/hc/en-us/articles/4404549690523-How-to-Get-Help-From-Kajabi-Live-Agents
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.kajabi.com
    description: Production
security: []
paths:
  /v1/contacts/{id}:
    get:
      tags:
        - Contacts
      summary: Contact details
      description: >
        Show details for a contact

        ## Contact Attributes

        * `name` (string) - The name of the contact

        * `email` (string) - The email of the contact, must be a valid and
        deliverable email address

        * `address_line_1` (string) - The first line of the contact's address

        * `address_line_2` (string) - The second line of the contact's address

        * `address_city` (string) - The city of the contact's address

        * `address_country` (string) - The country of the contact's address

        * `address_state` (string) - The state of the contact's address

        * `address_zip` (string) - The zip code of the contact's address

        * `phone_number` (string) - The phone number of the contact

        * `business_number` (string) - The business phone number of the contact

        * `subscribed` (boolean) - Whether the contact has opted in to receive
        marketing communications from the site

        * `external_user_id` (string) - The external user ID of the
        contact/customer; this field is only updatable if the contact has been
        granted an offer or made a purchase

        * `created_at` (string) - The date and time the contact was created

        * `updated_at` (string) - The date and time the contact was last updated


        ## Including Relationships

        Use the `include` parameter to include related resources in the
        response:

        * `GET /v1/contacts/123?include=offers,tags,customer`


        Response will include the related contact offers, tags and customer
        resources

        ```json

        {
          "data": {
            "id": "123",
            "type": "contacts",
            "attributes": {
              "name": "John Smith",
              "email": "john@example.com",
              "address_line_1": null,
              "address_line_2": null,
              "address_city": null,
              "address_country": null,
              "address_state": null,
              "address_zip": null,
              "phone_number": null,
              "business_number": null,
              "subscribed": false,
              "external_user_id": null,
              "created_at": "2024-01-15T10:30:00Z",
              "updated_at": "2024-01-15T10:30:00Z"
            },
            "links": {
              "customer": "https://api.kajabi.com/v1/customers/321"
            },
            "relationships": {
              "site": {
                "data": {
                  "id": "123",
                  "type": "sites"
                }
              },
              "offers": {
                "links": {
                  "data": [
                    { "id": "456", "type": "offers" }
                  ],
                  "self": "https://api.kajabi.com/v1/contacts/123/relationships/offers"
                }
              },
              "tags": {
                "data": [
                  { "id": "789", "type": "contact_tags" }
                ],
                "links": {
                  "self": "https://api.kajabi.com/v1/contacts/123/relationships/tags"
                }
              },
              "customer": {
                "data": {
                  "id": "321",
                  "type": "customers"
                }
              }
            }
          },
          "included": [
            {
              "id": "456",
              "type": "offers",
              "attributes": {
                "name": "Offer 1",
                "description": "Offer 1 description",
                "internal_title": "Offer 1",
                "price_in_cents": 0,
                "payment_type": "free",
                "token": "offer_123",
                "payment_method": "none",
                "price_description": "Free",
                "checkout_url": "https://mywebsite.com/offers/456",
                "recurring_offer": false,
                "subscription": false,
                "one_time": true,
                "single": false,
                "free": true
              }
            },
            {
              "id": "789",
              "type": "contact_tags",
              "attributes": {
                "name": "Tag Name"
              }
            },
            {
              "id": "321",
              "type": "customers",
              "attributes": {
                "name": "John Smith",
                "email": "john@example.com",
                "avatar": null,
                "external_user_id": "cust_123",
                "public_bio": null,
                "public_location": null,
                "public_website": null,
                "socials": null,
                "net_revenue": "0.0",
                "sign_in_count": 0,
                "last_request_at": null,
                "bounced_at": null,
                "created_at": "2024-01-15T10:30:00Z",
                "updated_at": "2024-01-15T10:30:00Z"
              }
            }
          ]
        }

        ```

        ## Sparse Fields

        Use the `fields[contacts]` parameter to get specific fields for a
        contact:

        * `GET /v1/contacts/123?fields[contacts]=name,email`


        Response will include only requested fields for the contact

        ```json

        {
          "data": {
            "id": "123",
            "type": "contacts",
            "attributes": {
              "name": "John Smith",
              "email": "john@example.com"
            }
          }
        }

        ```

        ## Using Multiple Parameters Together

        You can combine multiple parameters to include related resources and get
        specific fields for a contact:

        * `GET
        /v1/contacts/123?include=customer&fields[contacts]=email&fields[customers]=net_revenue`


        Response will include the related customer resource and only requested
        fields for the contact and customer

        ```json

        {
          "data": {
            "id": "123",
            "type": "contacts",
            "attributes": {
              "email": "sam@example.com"
            },
            "relationships": {}
          },
          "included": [
            {
              "id": "321",
              "type": "customers",
              "attributes": {
                "net_revenue": "0.0"
              }
            }
          ]
        }

        ```
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: include
          in: query
          required: false
          description: >-
            with ?include=offers,tags,customer the response will include the
            related contact offers, tags and customer resources
          schema:
            type: string
        - name: fields[contacts]
          in: query
          required: false
          description: >-
            Sparse fields, use: name, email for example
            ?fields[contacts]=name,email
          schema:
            type: string
      responses:
        '200':
          description: Success, shows details for specified contact and tags relationship
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/contacts_show_response'
        '401':
          description: Unauthorized, Authorization header is missing or invalid
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_unauthorized'
        '403':
          description: Forbidden, insufficient permission to access the resource
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_forbidden'
      security:
        - Bearer: []
components:
  schemas:
    contacts_show_response:
      type: object
      properties:
        data:
          type: object
          properties:
            id:
              type: string
            type:
              type: string
            attributes:
              $ref: '#/components/schemas/contacts_attributes'
            relationships:
              type: object
              properties:
                customer:
                  type: object
                  nullable: true
                  properties:
                    data:
                      $ref: '#/components/schemas/resource_identifier'
                offers:
                  type: object
                  nullable: true
                  properties:
                    data:
                      $ref: '#/components/schemas/resource_identifiers'
                    links:
                      type: object
                      properties:
                        self:
                          type: string
                site:
                  type: object
                  properties:
                    data:
                      $ref: '#/components/schemas/resource_identifier'
                tags:
                  type: object
                  properties:
                    data:
                      $ref: '#/components/schemas/resource_identifiers'
            links:
              type: object
              properties:
                customer:
                  type: string
        links:
          type: object
          properties:
            self:
              type: string
            current:
              type: string
    errors_unauthorized:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/errors_attributes'
    errors_forbidden:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/errors_attributes'
    contacts_attributes:
      type: object
      properties:
        name:
          type: string
        email:
          type: string
        phone_number:
          type:
            - string
            - 'null'
        business_number:
          type:
            - string
            - 'null'
        subscribed:
          type: boolean
        address_line_1:
          type:
            - string
            - 'null'
        address_line_2:
          type:
            - string
            - 'null'
        address_city:
          type:
            - string
            - 'null'
        address_state:
          type:
            - string
            - 'null'
        address_country:
          type:
            - string
            - 'null'
        external_user_id:
          type: string
          nullable: true
          description: Supported once contact is granted an offer or makes a purchase
        address_zip:
          type:
            - string
            - 'null'
        custom_1:
          type: string
          nullable: true
          description: Support depends on custom fields of a site
        custom_2:
          type: string
          nullable: true
          description: Support depends on custom fields of a site
        custom_3:
          type: string
          nullable: true
          description: Support depends on custom fields of a site
        created_at:
          type: string
          format: date-time
          readOnly: true
          description: ISO 8601 date-time, read only
        updated_at:
          type: string
          format: date-time
          readOnly: true
          description: ISO 8601 date-time, read only
    resource_identifier:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
      required:
        - id
        - type
    resource_identifiers:
      type: array
      items:
        $ref: '#/components/schemas/resource_identifier'
    errors_attributes:
      type: object
      properties:
        status:
          type: string
        source:
          type: object
          nullable: true
          properties:
            pointer:
              type: string
        title:
          type: string
        detail:
          type: string
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````